/*
 *  invsel: makes every visible line invisible, and vice-versa.
 */
#include <stdio.h>
#include "ex_sedit.h"

#define DBX_SLEEP 0

main()
{
  char **r_display, buff[50], bu_vi[50], bu_invi[50];
  int *display, *line, *sele, lex;
  register i;

  ex_ini();

#if DBX_SLEEP
  fprintf(stderr, "invsel: process %d sleeping\n", getpid());
  i = 1;
  while(i)
    usleep(100000);
#endif

  sends("preserve");
  sends("scope all");   /* We need it for scanning the file line by line */
  sends ("bot");

  extract2(&r_display, &display, "display");

  extract2(NULL, &line, "line");

  sprintf (bu_invi, "select %d", display[2] + 1);
  sprintf (bu_vi,   "select %d", display[1]);

  for (i=1; i<=line[1]; i++)
   { sprintf(buff, ":%d", i);
     sends(buff);

     extract2(NULL, &sele, "select");

     if (sele[1]>= display[1]  &&  sele[1]<= display[2])
       sends(bu_invi);
     else
       sends(bu_vi);

     free_extract(NULL, &sele);
   }

  free_extract(&r_display, &display);
  free_extract(NULL, &line);

  sends("restore");
  sends("top");
  ex_end(0);
}
