GETDISKSPACE - Get Free Disk Space

GETDISKSPACE({mount_point}) returns a string containing in kbytes the
amount of disk space occupied by the mount_point file system, the amount
of used and available space, and the percentage of the file system's total
capacity used.

If mount_point is not specified, the root directory ("/" on UNIX systems,
"c:" on WINDOWS systems) will be used. mount_point can be any directory on
UNIX systems, and any drive letter ("c:") on WINDOWS systems.

An empty string is returned in case of error.

Example:        say '"'getdiskspace("/")'"' could display
                "288119 158610 100698 61"

Note:  GETDISKSPACE is not supported on Linux systems.
