              Setting default options for REXX programs
              -----------------------------------------


When an S/REXX programs starts, S/REXX searches for an .srexxrc file in
the user's home directory. If not found, S/REXX searches .srexxrc in the
S/REXX installation directory.

If .srexxrc is found, S/REXX executes all the REXX statements included in
this file before executing the actual program.

This allows the user to change the default options.

Consider for example the following /home/xed/.srexxrc file:

           OPTION NOLOAD
           TRACE NORMAL

The default S/REXX settings related to external routines and TRACE command
will be identical to the IBM REXX settings.

Note:   the ccsr compiler reads the .srexxrc file at the compile time. The
        compiled file will not reread the .srexxrc file when executed.




              Setting default options for SEDIT REXX macros
              ---------------------------------------------

When an S/REXX SEDIT macro starts, S/REXX searches for an sedit.srexxrc
file in the user's home directory. If not found, S/REXX searches
sedit.srexxrc in the S/REXX installation directory.

If sedit.srexxrc is found, S/REXX executes all the REXX statements
included in this file before executing the actual program.
