SysTempFileName - Make a Unique File Name


SysTempFileName(filespec, {, filter})
returns a name for a file or directory which does not exists.

filespec  can be a tmp template for a filename, or a dir directory name
          followed by a tmp template for a file name. When dir is not
          provided or is invalid, it defaults to the /tmp directory on
          UNIX systems, and to the C:/temp directory on WINDOWS systems.

filter    the filter character used in tmp. Each filter character in tmp
          is replaced with a random numerical value. Then, tmp is appended
          a random 6 characters string.

SysTempFileName() returns an empty string in case of error.


Examples:

   say SysTempFileName("/usr/test??", "?")
   say SysTempFileName("?foo??", "?")
   say SysTempFileName("", "?")

could print:

   /usr/test48a002b4
   /tmp/1foo95a002b4
   /tmp/a002b4
