WINDOWS - Pass WINDOWS Command

WINDOWS(cmd{, stem})

On WINDOWS systems, WINDOWS() executes the WINDOWS command cmd.

On UNIX systems, WINDOWS() is identical to the UNIX() built-in function.

When stem is not provided, the cmd output will be placed in the stack. The
user will be able to read it using the parse pull command.

The queued() function may be used to return the number of lines in the
stack.

When stem is provided, it must me a valid REXX name. It will be filled
with the cmd output.

Example:   call windows "dir", tab
           tab.0 will contain the number of lines sent back by dir.
           tab.1, tab.2, ... will contain the dir output line by line.

Note:      When using the wsrexx.exe windowing version of S/REXX, calling
           DOS like commands such as dir will make a temporary console
           appear.
           To list files, the DIR() built-in function would be more
           effective.
