#
# DEC Alpha specific setting
#
# keyboard $xhome/keyboard/STANDARD.TRANS 2


#
#  Loading *.TRANS is no longer needed within SEDIT 3.50
#
#keyboard $xhome/keyboard/DEC.TRANS 2
set nbkeys 4 20 14
set backspace ^?
set server alpha

set eof f13
set ins r5
set prev_field r6
set home r4
set ihome

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY shell lpr $name &

# Compiles the file currently edited
set ^c ONLY smart_comp 0
set ^C ONLY smart_comp 1

set ^g ONLY smart_compd 0
set ^G ONLY smart_compd 1

# See the next compilation error
set ^- ONLY nexterror

# Useful  to see what we are editing
set ^n ONLY f $fn *
set ^N ONLY f $fn * $fd
set ^D ONLY f * * "$fd"

#
#  F14 will comment in or out the selection,
#   or the cursor line
#
set F14 ONLY filter $xhome/filters/$arch/toggle_comment

set F15 ONLY help
set F16 ONLY save

set F1 ONLY s_find
set S-F1 ONLY s_find
set C-F1 ONLY s_find
set M-F1 ONLY s_find

set F2 ONLY s_cut

set F3 ONLY s_copy

set F4 ONLY s_paste

set F11 ONLY   undo
set S-F11 ONLY redo
set L1 ONLY    aquit
set C-L1 ONLY  flquit
set S-L1 ONLY

set L4 ONLY
set down_field l4
set L3 ONLY complete
set S-L3 ONLY complete reverse
set up_field   l3


set f15 ONLY help
set s-f15 ONLY help task

set f16 ONLY save
set s-f16 ONLY file
set c-f16 ONLY flfile

set r7 ONLY backward
set r9 ONLY forward

set s-r7 ONLY top
set s-r9 ONLY bot

set ^m ONLY match
set ^M ONLY match cursor
set ^s ONLY c_split

set f10 ONLY home


#
#  "Control-F10" will clear the command field without moving the cursor
#
set c-f10 ONLY delayhome

setp "PF1:Q  DO:Save  ^S:Sp  5:x  6:cu 7:U  8:D  9:?  10:H  11:Undo  12:="
