CP or COPY - Copy Files

CP(string)
COPY(string)

string  is a string which supports 3 formats:

"file1 file2"

   CP copies the contents of file1 onto file2.

"file1 file2 ... directory"

   Each filename is copied to the indicated directory; the basename of the
   copy corresponds to that of the original. The destination directory
   must already exist for the copy to succeed.

"directory_org directory_des"

   The directory directory_des must not exist. The directory_org
   directory is recursively copied to directory_des.

   On UNIX systems, CP preserves symbolic links.

CP sets up two variables:

RC      is set to 0 in the case of a success, or to 1 in the case of a
        failure, on any file to copy.

RESULT  is set to an empty string in the case of a success, or to a string
        with an error message indicating the cause of the failure.

Examples:      call cp "test.srx test2.srx"
               call cp "test1 test2 test3 .\backup"
               call cp "c:\prog c:\prog.back"
