EXECV - Pass UNIX Program Directly

EXECV(cmd, {argv}, {stem}, {tee}) executes the UNIX program cmd directly.

When argv is provided, it must me a valid REXX name. argv.0 is the number
of arguments to be passed to cmd. The derived argv.i stem values will be
the arguments. EXECV allows to easily handle arguments with embedded
spaces.

When stem is not provided, the cmd output will be placed in the stack. The
user will be able to read it using the parse pull command.

The QUEUED()function may be used to return the number of lines in the
stack.

When stem is provided, it must me a valid REXX name. It will be filled
with the cmd output.

When tee is set to 1, EXECV will display the output of the cmd program.

Note:   EXECV() not supporting the meta characters, use CSH() or KSH() to
        pass a command such as:

           call csh "ls ~/foo*.c"


See also the EXEC(), UNIX(), CSH(), TCSH() and KSH() functions.
