JUSTIFY - Justify string

JUSTIFY(string, len{, pad})  returns a string of length len.

The default pad value is the blank character.

string is first normalized. Multiple blanks are converted to single
blanks, and leading and trailing blanks are removed.

If the length of the normalized string is greater than len, string is then
truncated on the right and all trailing blanks are removed.

If the length of the normalized string is less than len, extra pad
characters are then added evenly from left to right to provide the
required length, and the blanks between words are replaced with the
pad character.

Examples:

justify('ONE THREE TWO',11,'-'):        'ONE-THREE-T'
justify("", 9, "+"):                    '+++++++++'
justify("The red  shoe", 15):           'The   red  shoe'
justify("The red  shoe", 15, "+"):      'The+++red++shoe'
