MAKEBUF - Create Stack
----------------------


MAKEBUF is not part of the S/REXX language, but for VM/CMS compatibility
it is implemented as an extension of the UNIX or WINDOWS environment.
Therefore, it is recommended to enclose it in quotes in order to prevent
the normal S/REXX variable substitution.

MAKEBUF format is:

    MAKEBUF                     creates a new stack buffer.

After MAKEBUF is executed, the rc variable contains the number of the
newly created stack buffer.

Note:   To prevent an error message from being displayed when the MAKEBUF
        command is executed, issue a TRACE OFF command first.


See Also: DESBUF, DROPBUF, SENTRIES
