#
# HP specific setting
#
# keyboard $xhome/keyboard/STANDARD.TRANS 2

#keyboard . 2

set NBKEYS      6 12 14
set SERVER      hp
set HOME        R7
set IHOME       M-R7
set INS         R5
set DOWN_FIELD  Alt
set UP_FIELD    LF
set PREV_FIELD  R13
set EOF         L1
set BACKSPACE   ^h

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY shell lp $name &

# Compiles the file currently edited
set ^c ONLY smart_comp 0
set ^C ONLY smart_comp 1

set ^g ONLY smart_compd 0
set ^G ONLY smart_compd 1

# See the next compilation error
set ^- ONLY nexterror

# Useful to see what we are editing
set ^n ONLY f $fn *
set ^N ONLY f $fn * $fd
set ^D ONLY f * * "$fd"


#
#  "Control-R9" (R9 <--> Prev) will comment in or out the selection,
#   or the cursor line
#
set c-r9 ONLY filter $xhome/filters/$arch/toggle_comment

set l6 ONLY complete
set s-l6 ONLY complete reverse

set F1 ONLY s_find
set S-F1 ONLY s_find
set C-F1 ONLY s_find
set M-F1 ONLY s_find

set F2 ONLY s_cut
set S-F2

set F3 ONLY s_copy
set S-F3
set C-F3

set F4 ONLY s_paste

set f11 ONLY   undo
set S-f11 ONLY redo

set r1 ONLY aquit
set c-r1 ONLY flquit
set r2 ONLY save
set s-r2 ONLY file
set c-r2 ONLY flfile
set r9 ONLY backward
set r11 ONLY forward

set s-R9 ONLY top
set s-R11 ONLY bot

set ^m ONLY match
set ^M ONLY match cursor
set ^s ONLY c_split

set f10 ONLY home

#
#  "Control-F10" will clear the command field without moving the cursor
#
set c-f10 ONLY delayhome

setp "R1:Q  R2:Save  ^S:Sp  5:x  7:U  8:D  9:?  10:H  11:Undo  S-Prev:Top  S-Next:Bot"
